Name:           python-sisl
Version:        0.16.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Manipulation and post-processing of DFT output and creating tight-binding models for NEGF transport

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://zerothi.github.io/sisl
Source:         %{pypi_source sisl}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sisl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sisl
Summary:        %{summary}

%description -n python3-sisl %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sisl analysis,docs,test,viz,viz-ase,viz-blender,viz-matplotlib,viz-plotly


%prep
%autosetup -p1 -n sisl-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x analysis,docs,test,viz,viz-ase,viz-blender,viz-matplotlib,viz-plotly


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sisl -f %{pyproject_files}


%changelog
%autochangelog